﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinMaskedEdit;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication2
{
    public class SSNDrawFilter:IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            UltraGridCell cell = drawParams.Element.GetContext(typeof(UltraGridCell)) as UltraGridCell;
            if (cell.Column.Key == "SSN")
            {
                TextUIElement textElement = (TextUIElement)drawParams.Element;
                
                textElement.Text = "*******";
                if (cell.Text.Length >7)
                {
                    textElement.Text += cell.Text.Substring(7);
                }
            }
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is TextUIElement && drawParams.Element.Parent is MaskedEditUIElement)
                return DrawPhase.BeforeDrawElement;
            return DrawPhase.None;
        }
    }
}
